local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

-----------------------------------------------------------------------------
-- instance table, if you create a new instance module you must add it here
--usage max 3 levels in the table
--Entry: Instancename,your_module_name, instance name (for 5-man instances), 
--       optional list of alternative region names, true if instance is still there (false means old content which is not present any more)
-----------------------------------------------------------------------------


local L = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

function BossTactics:RegisterInstances()

	self.instanceTable =
		{
		 ["WoW"] = {
		 	["func"] = function (info, arg1, arg2) self:InstanceDropdownClick(arg1, arg2) end,
			["values"] = {}
		 },
		 ["BC"] = {
		 	["func"] = function (info, arg1, arg2) self:InstanceDropdownClick(arg1, arg2) end,
			["values"] = {
                [BabbleZone["Eastern Kingdoms"]] = {
                        { BabbleZone["Karazhan"], "BT_Kara", nil, nil, true },
                        { BabbleZone["Zul'Aman"], "BT_ZA", nil, nil, false },
                        { BabbleZone["Sunwell Plateau"], "BT_SW", nil, nil, true },
                },
                [BabbleZone["Kalimdor"]] = {
                        { BabbleZone["Hyjal Summit"], "BT_MH", nil, nil, true },
                },
                [BabbleZone["Outland"]] = {
                        { BabbleZone["Gruul's Lair"], "BT_Gruul", nil, nil, true },
                        { BabbleZone["Magtheridon's Lair"], "BT_Maggi", nil, nil, true },
                        { BabbleZone["Serpentshrine Cavern"], "BT_SSC", nil },
                        { BabbleZone["The Eye"], "BT_Eye", nil, nil, true },
                        { BabbleZone["Black Temple"], "BT_BlackTemple", nil, nil, true },
                        { L["Outdoor"], "BT_BCout", nil, nil, true },
                },
          	},
        },
        ["WOTLK"] = {
		 	["func"] = function (info, arg1, arg2) self:InstanceDropdownClick(arg1, arg2) end,
			["values"] = {
                [BabbleZone["Northrend"]] = {
                        { BabbleZone["Naxxramas"], "BT_Naxx", nil, nil, true },
                        { BabbleZone["The Obsidian Sanctum"], "BT_Obsid", nil, nil, true },
                        { BabbleZone["Vault of Archavon"], "BT_Arch", nil, nil, true },
                        { BabbleZone["The Eye of Eternity"], "BT_Malygos", nil, nil, true },
                        { BabbleZone["Ulduar"], "BT_Ulduar", nil, nil, true},
                        { BabbleZone["The Argent Coliseum"], "BT_ArgentCol", nil,
                            {
                                {
                                    name = BabbleZone["Trial of the Crusader"],
                                },
        					},
							true
        				},
        				{ BabbleZone["Icecrown Citadel"], "BT_ICC", nil, nil, true },
        				{ BabbleZone["The Ruby Sanctum"], "BT_Ruby", nil, nil, true },
                },
                [BabbleZone["Kalimdor"]] = {
                        { BabbleZone["Onyxia's Lair"], "BT_Onyxia", nil, nil, true },
                },
                [L["5-man instances"]] = {
                		{ BabbleZone["The Violet Hold"], "BT_WOTLK5man", BabbleZone["The Violet Hold"], nil, true},
                		{ BabbleZone["Azjol-Nerub"], "BT_WOTLK5man", BabbleZone["Azjol-Nerub"], nil, true},
                		{ BabbleZone["Ahn'kahet: The Old Kingdom"], "BT_WOTLK5man", BabbleZone["Ahn'kahet: The Old Kingdom"], nil, true},
                		{ BabbleZone["The Culling of Stratholme"], "BT_WOTLK5man", BabbleZone["The Culling of Stratholme"], nil, true},
                		{ BabbleZone["Trial of the Champion"], "BT_WOTLK5man", BabbleZone["Trial of the Champion"], nil, true},
                		{ BabbleZone["The Forge of Souls"], "BT_WOTLK5man", BabbleZone["The Forge of Souls"], nil, true},
                		{ BabbleZone["Pit of Saron"], "BT_WOTLK5man", BabbleZone["Pit of Saron"], nil, true},
                		{ BabbleZone["Halls of Reflection"], "BT_WOTLK5man", BabbleZone["Halls of Reflection"], nil, true},
                		{ BabbleZone["Halls of Stone"], "BT_WOTLK5man", BabbleZone["Halls of Stone"], nil, true},
                		{ BabbleZone["Halls of Lightning"], "BT_WOTLK5man", BabbleZone["Halls of Lightning"], nil, true},
                		{ BabbleZone["The Nexus"], "BT_WOTLK5man", BabbleZone["The Nexus"], nil, true},
                		{ BabbleZone["The Oculus"], "BT_WOTLK5man", BabbleZone["The Oculus"], nil, true},
                		{ BabbleZone["Gundrak"], "BT_WOTLK5man", BabbleZone["Gundrak"], nil, true},
                		{ BabbleZone["Drak'Tharon Keep"], "BT_WOTLK5man", BabbleZone["Drak'Tharon Keep"], nil, true},
                		{ BabbleZone["Utgarde Keep"], "BT_WOTLK5man", BabbleZone["Utgarde Keep"], nil, true},
                		{ BabbleZone["Utgarde Pinnacle"], "BT_WOTLK5man", BabbleZone["Utgarde Pinnacle"], nil, true},
                }
          	},
        },
         ["Cata"] = {
		 	["func"] = function (info, arg1, arg2) self:InstanceDropdownClick(arg1, arg2) end,
			["values"] = {
				[BabbleZone["Kalimdor"]] = {
                        { BabbleZone["Throne of the Four Winds"], "BT_TofW", nil, nil, true },
                },
				[BabbleZone["Eastern Kingdoms"]] = {
                        { BabbleZone["Blackwing Descent"], "BT_BWD", nil, nil, true },
                        { BabbleZone["The Bastion of Twilight"], "BT_BoT", nil, nil, true },
                        { BabbleZone["Baradin Hold"], "BT_BHold", nil, nil, true},
                },
				[L["5-man instances"]] = {
					{ BabbleZone["Halls of Origination"], "BT_CATA5man", BabbleZone["Halls of Origination"], nil, true},
					{ BabbleZone["Grim Batol"], "BT_CATA5man", BabbleZone["Grim Batol"], nil, true},
					{ BabbleZone["Lost City of the Tol'vir"], "BT_CATA5man", BabbleZone["Lost City of the Tol'vir"], nil, true},
					{ BabbleZone["The Vortex Pinnacle"], "BT_CATA5man", BabbleZone["The Vortex Pinnacle"], nil, true},
					{ BabbleZone["The Stonecore"], "BT_CATA5man", BabbleZone["The Stonecore"], nil, true},
					{ BabbleZone["Blackrock Caverns"], "BT_CATA5man", BabbleZone["Blackrock Caverns"], nil, true},
					{ BabbleZone["Throne of the Tides"], "BT_CATA5man", BabbleZone["Throne of the Tides"], nil, true},
					{ BabbleZone["Shadowfang Keep"], "BT_CATA5man", BabbleZone["Shadowfang Keep"], nil, true},
					{ BabbleZone["The Deadmines"], "BT_CATA5man", BabbleZone["The Deadmines"], nil, true},
					{ BabbleZone["Zul'Aman"], "BT_CATA5man", BabbleZone["Zul'Aman"], nil, true},
					{ BabbleZone["Zul'Gurub"], "BT_CATA5man", BabbleZone["Zul'Gurub"], nil, true},
				},
			}
		 },
	}

end